Subject: [Idr] Fw: New Version Notification for draft-ietf-idr-route-leak-detection-mitigation-03.txt

From: "Sriram, Kotikalapudi (Fed)" <[email-masked]>
Date: Mon, 23 May 2016 12:31:59 +0000

This new version is a significant improvement both in terms of substance and clarity of presentation.
It has the following substantive additions:

1. Section 3.1.1 specifies the TLV format for a new BGP RLP attribute.
  
2. It is important that the ingress and egress routers within an AS are coordinated
for route leak prevention. The new Section 3.2 “Intra-AS Messaging for Route Leak Prevention”
talks about this, and outlines the common practice amongst large ISPs with regard to this.

3. Section 5.5 discusses the topic “Per-Hop RLP Flags or Single RLP Flag per Update?”
It is observed that the Per-Hop RLP Flags method is more robust in the presence of 
partial deployment and/or faulty implementation in some ASes along the path. 
A presentation was made at IETF-95 on this topic (slides 5-9):
https://www.ietf.org/proceedings/95/slides/slides-95-idr-13.pdf 

4. Section 3.1.2 talks about how in the future the per-hop RLP encodings will be carried 
in existing BGPsec Flags to provide cryptographic protection.  

We (the authors) thank many who have provided comments so far on this work. 
Welcome further comments and suggestions.

Sriram

________________________________________
From: [email-masked] <[email-masked]>
Sent: Monday, May 23, 2016 7:49 AM
To: Brian Dickson; Montgomery, Douglas (Fed); Keyur Patel; Andrei Robachevsky; Sriram, Kotikalapudi (Fed)
Subject: New Version Notification for draft-ietf-idr-route-leak-detection-mitigation-03.txt

A new version of I-D, draft-ietf-idr-route-leak-detection-mitigation-03.txt
has been successfully submitted by Kotikalapudi Sriram and posted to the
IETF repository.

Name:           draft-ietf-idr-route-leak-detection-mitigation
Revision:       03
Title:          Methods for Detection and Mitigation of BGP Route Leaks
Document date:  2016-05-23
Group:          idr
Pages:          22
URL:            https://www.ietf.org/internet-drafts/draft-ietf-idr-route-leak-detection-mitigation-03.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-idr-route-leak-detection-mitigation/
Htmlized:       https://tools.ietf.org/html/draft-ietf-idr-route-leak-detection-mitigation-03
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-route-leak-detection-mitigation-03

Abstract:
   [I-D.ietf-grow-route-leak-problem-definition] provides a definition
   of the route leak problem, and also enumerates several types of route
   leaks.  This document first examines which of those route-leak types
   are detected and mitigated by the existing origin validation (OV)
   [RFC 6811].  It is recognized that OV offers a limited detection and
   mitigation capability against route leaks.  This document specifies
   enhancements that significantly extend the route-leak prevention,
   detection, and mitigation capabilities of BGP.  One solution
   component involves carrying a per-hop route-leak protection (RLP)
   field in BGP updates.  The RLP field is proposed be carried in a new
   optional transitive attribute, called BGP RLP attribute.  The
   solution is meant to be initially implemented as an enhancement of
   BGP without requiring BGPsec [I-D.ietf-sidr-bgpsec-protocol].
   However, when BGPsec is deployed in the future, the solution can be
   incorporated in BGPsec, enabling cryptographic protection for the RLP
   field.  That would be one way of implementing the proposed solution
   in a secure way.  The document also includes a stopgap method for
   detection and mitigation of route leaks for an intermediate phase
   when OV is deployed but BGP protocol on the wire is unchanged.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat